Module rssiup
    '= Rohde&Schwarz UP300/UP350 Audio Analyzer & Generator Include File =======

    '***************************************************************************
    '= Instrument Driver Specific Error/Warning Codes ==========================
    '***************************************************************************

    Public Const VI_ERROR_INSTR_FILE_OPEN = (&H80000000& + &H3FFC0800&)
    Public Const VI_ERROR_INSTR_FILE_WRITE = (&H80000000& + &H3FFC0801&)
    Public Const VI_ERROR_INSTR_INTERPRETING_RESPONSE = (&H80000000& + &H3FFC0803&)
    Public Const VI_ERROR_INSTR_PARAMETER9 = (&H80000000& + &H3FFC0809&)
    Public Const VI_ERROR_INSTR_PARAMETER10 = (&H80000000& + &H3FFC080A&)
    Public Const VI_ERROR_INSTR_PARAMETER11 = (&H80000000& + &H3FFC080B&)
    Public Const VI_ERROR_INSTR_PARAMETER12 = (&H80000000& + &H3FFC080C&)
    Public Const VI_ERROR_INSTR_PARAMETER13 = (&H80000000& + &H3FFC080D&)
    Public Const VI_ERROR_INSTR_PARAMETER14 = (&H80000000& + &H3FFC080E&)
    Public Const VI_ERROR_INSTR_PARAMETER15 = (&H80000000& + &H3FFC080F&)

    '***************************************************************************
    '= Define Instrument Specific Error/Warning Codes Here =====================
    '***************************************************************************

    Public Const VI_WARNING_INSTR_OFFSET = (&H3FFC0900&)
    Public Const VI_ERROR_INSTR_OFFSET = (&H80000000& + &H3FFC0900&)

    Public Const RSSIUP_ERROR_INSTRUMENT_ERROR = (VI_ERROR_INSTR_OFFSET + &HF0&)
    Public Const RSSIUP_ERROR_INVALID_CONFIGURATION = (VI_ERROR_INSTR_OFFSET + &HF1&)
    Public Const RSSIUP_ERROR_INSTRUMENT_OPTION = (VI_ERROR_INSTR_OFFSET + &HF2&)
    Public Const RSSIUP_ERROR_DATA_NOT_AVAILABLE = (VI_ERROR_INSTR_OFFSET + &HF3&)
    Public Const RSSIUP_ERROR_SETTINGS_CONFLICT = (VI_ERROR_INSTR_OFFSET + &HF4&)
    Public Const RSSIUP_ERROR_INSTRUMENT_NSUP_MODEL = (VI_ERROR_INSTR_OFFSET + &HF6&)
    Public Const RSSIUP_ERROR_NULL_POINTER_VALUE = (VI_ERROR_INSTR_OFFSET + &HF8&)

    Public Const RSSIUP_ERROR_MEASUREMENT_ABORTED = (VI_ERROR_INSTR_OFFSET + &HF9&)
    Public Const RSSIUP_ERROR_INVALID_VALUE = (VI_ERROR_INSTR_OFFSET + &HFA&)
    Public Const RSSIUP_ERROR_RNG_TAB_NOT_AVAIL = (VI_ERROR_INSTR_OFFSET + &HFB&)
    Public Const RSSIUP_ERROR_QUEUE_OVERFLOW = (VI_ERROR_INSTR_OFFSET + &HFC&)
    Public Const RSSIUP_ERROR_DATA_CORRUPTED = (VI_ERROR_INSTR_OFFSET + &HFD&)
    Public Const RSSIUP_ERROR_RESERVED = (VI_ERROR_INSTR_OFFSET + &HFE&)
    Public Const RSSIUP_ERROR_OVER_LIMIT = (VI_ERROR_INSTR_OFFSET + &HFF&)

    Public Const RSSIUP_WARNING_INSTRUMENT_WARNING = (VI_WARNING_INSTR_OFFSET + &HF0&)
    Public Const RSSIUP_WARNING_CACHED_DATA = (VI_WARNING_INSTR_OFFSET + &HF1&)

    '***************************************************************************
    '= INSTRUMENT CONSTANTS ====================================================
    '***************************************************************************

    '- Channels ----------------------------------------------------------------

    Public Const RSSIUP_CHAB = 0&
    Public Const RSSIUP_CHA = 1&
    Public Const RSSIUP_CHB = 2&

    '- Units -------------------------------------------------------------------

    Public Const RSSIUP_UNIT_PCT = 0&
    Public Const RSSIUP_UNIT_PCTFRM = 1&
    Public Const RSSIUP_UNIT_PCTFS = 2&
    Public Const RSSIUP_UNIT_PCTON = 3&
    Public Const RSSIUP_UNIT_PCTPPR = 4&
    Public Const RSSIUP_UNIT_PCTUI = 5&
    Public Const RSSIUP_UNIT_PCTVVR = 6&
    Public Const RSSIUP_UNIT_BITS = 7&
    Public Const RSSIUP_UNIT_CYC = 8&
    Public Const RSSIUP_UNIT_DPCT = 9&
    Public Const RSSIUP_UNIT_DPCTHZ = 10&
    Public Const RSSIUP_UNIT_DPCTV = 11&
    Public Const RSSIUP_UNIT_DPCTW = 12&
    Public Const RSSIUP_UNIT_DB = 13&
    Public Const RSSIUP_UNIT_DBFS = 14&
    Public Const RSSIUP_UNIT_DBM = 15&
    Public Const RSSIUP_UNIT_DBON = 16&
    Public Const RSSIUP_UNIT_DBR = 17&
    Public Const RSSIUP_UNIT_DBU = 18&
    Public Const RSSIUP_UNIT_DBUI = 19&
    Public Const RSSIUP_UNIT_DBV = 20&
    Public Const RSSIUP_UNIT_DDEG = 21&
    Public Const RSSIUP_UNIT_DEC = 22&
    Public Const RSSIUP_UNIT_DEG = 23&
    Public Const RSSIUP_UNIT_DEGFRM = 24&
    Public Const RSSIUP_UNIT_DHZ = 25&
    Public Const RSSIUP_UNIT_DRAD = 26&
    Public Const RSSIUP_UNIT_DS = 27&
    Public Const RSSIUP_UNIT_DV = 28&
    Public Const RSSIUP_UNIT_DW = 29&
    Public Const RSSIUP_UNIT_FFR = 30&
    Public Const RSSIUP_UNIT_FS = 31&
    Public Const RSSIUP_UNIT_HEX = 32&
    Public Const RSSIUP_UNIT_HZ = 33&
    Public Const RSSIUP_UNIT_LSBS = 34&
    Public Const RSSIUP_UNIT_MLT = 35&
    Public Const RSSIUP_UNIT_NS = 36&
    Public Const RSSIUP_UNIT_OCT = 37&
    Public Const RSSIUP_UNIT_OHM = 38&
    Public Const RSSIUP_UNIT_PPR = 39&
    Public Const RSSIUP_UNIT_PPMUI = 40&
    Public Const RSSIUP_UNIT_RAD = 41&
    Public Const RSSIUP_UNIT_S = 42&
    Public Const RSSIUP_UNIT_TOCT = 43&
    Public Const RSSIUP_UNIT_UI = 44&
    Public Const RSSIUP_UNIT_UIR = 45&
    Public Const RSSIUP_UNIT_UIS = 46&
    Public Const RSSIUP_UNIT_V = 47&
    Public Const RSSIUP_UNIT_VVON = 48&
    Public Const RSSIUP_UNIT_VVR = 49&
    Public Const RSSIUP_UNIT_VPP = 50&
    Public Const RSSIUP_UNIT_W = 51&
    Public Const RSSIUP_UNIT_DBUV = 52&

    '- Generator Device --------------------------------------------------------

    Public Const RSSIUP_GEN_A49 = 0&
    Public Const RSSIUP_GEN_A98 = 1&
    Public Const RSSIUP_GEN_A195 = 2&
    Public Const RSSIUP_GEN_D32 = 3&
    Public Const RSSIUP_GEN_D44 = 4&
    Public Const RSSIUP_GEN_D48 = 5&
    Public Const RSSIUP_GEN_D96 = 6&
    Public Const RSSIUP_GEN_D192 = 7&

    '- Analyzer Device ----------------------------------------------------------

    Public Const RSSIUP_ANL_A49 = 0&
    Public Const RSSIUP_ANL_A98 = 1&
    Public Const RSSIUP_ANL_A195 = 2&
    Public Const RSSIUP_ANL_D32 = 3&
    Public Const RSSIUP_ANL_D44 = 4&
    Public Const RSSIUP_ANL_D48 = 5&
    Public Const RSSIUP_ANL_D96 = 6&
    Public Const RSSIUP_ANL_D192 = 7&

    '- Range Dependency --------------------------------------------------------

    Public Const RSSIUP_RANGE_INDEPENDENT = 0&
    Public Const RSSIUP_RANGE_DEPENDENT = 1&

    '- Range Mode --------------------------------------------------------------

    Public Const RSSIUP_RANGE_MODE_AUTO = 0&
    Public Const RSSIUP_RANGE_MODE_FIXED = 1&
    Public Const RSSIUP_RANGE_MODE_MINIMAL = 2&

    '- Generator Function ID ---------------------------------------------------

    Public Const RSSIUP_GEN_FUNC_ALL = -1&
    Public Const RSSIUP_GEN_FUNC_SINE = 0&
    Public Const RSSIUP_GEN_FUNC_ARB = 1&
    Public Const RSSIUP_GEN_FUNC_NOISE = 2&
    Public Const RSSIUP_GEN_FUNC_MULTISINE = 3&
    Public Const RSSIUP_GEN_FUNC_BURST = 4&
    Public Const RSSIUP_GEN_FUNC_POLARITY = 5&

    '- Analyzer Function ID ----------------------------------------------------

    Public Const RSSIUP_ANL_FUNC_ALL = -1&
    Public Const RSSIUP_ANL_FUNC_PEAK = 0&
    Public Const RSSIUP_ANL_FUNC_RMSDC = 1&
    Public Const RSSIUP_ANL_FUNC_QPEAK = 2&
    Public Const RSSIUP_ANL_FUNC_RMS_SEL = 3&
    Public Const RSSIUP_ANL_FUNC_THDN = 4&
    Public Const RSSIUP_ANL_FUNC_PHASE = 5&
    Public Const RSSIUP_ANL_FUNC_DFD = 6&
    Public Const RSSIUP_ANL_FUNC_MOD_DIST = 7&
    Public Const RSSIUP_ANL_FUNC_FFT = 8&
    Public Const RSSIUP_ANL_FUNC_DAI_SAMPLE_RATE = 9&
    Public Const RSSIUP_ANL_FUNC_DAI_PROTOCOL = 10&

    '- Audio Monitor Source ----------------------------------------------------

    Public Const RSSIUP_MONITOR_SOURCE_NONE = 0&
    Public Const RSSIUP_MONITOR_SOURCE_ANALYZER_1 = 1&
    Public Const RSSIUP_MONITOR_SOURCE_ANALYZER_2 = 2&
    Public Const RSSIUP_MONITOR_SOURCE_GENERATOR = 3&

    '- PDF ---------------------------------------------------------------------

    Public Const RSSIUP_PDF_GAUSSIAN = 0&
    Public Const RSSIUP_PDF_RECTANGULAR = 1&
    Public Const RSSIUP_PDF_TRIANGULAR = 2&

    '- Burst Signal Type -------------------------------------------------------

    Public Const RSSIUP_BURST_SIGNAL_SINGLE = 0&
    Public Const RSSIUP_BURST_SIGNAL_QUADRANT = 1&

    '- Analyzer Input ----------------------------------------------------------

    Public Const RSSIUP_ANL_INPUT_OFF = 0&
    Public Const RSSIUP_ANL_INPUT_ON = 1&
    Public Const RSSIUP_ANL_INPUT_LOOPBACK = 2&

    '- Analyzer Input Coupling -------------------------------------------------

    Public Const RSSIUP_ANL_COUPLING_AC = 0&
    Public Const RSSIUP_ANL_COUPLING_DC = 1&

    '- Averaging Mode ----------------------------------------------------------

    Public Const RSSIUP_AVERAGING_MODE_OFF = 0&
    Public Const RSSIUP_AVERAGING_MODE_NORMAL = 1&
    Public Const RSSIUP_AVERAGING_MODE_EXPONENCIAL = 2&
    Public Const RSSIUP_AVERAGING_MODE_FLAT = 3&

    '- Measurement Mode --------------------------------------------------------

    Public Const RSSIUP_MEAS_MODE_SINGLE = 0&
    Public Const RSSIUP_MEAS_MODE_CONTINUOUS = 1&
    Public Const RSSIUP_MEAS_MODE_IDLE = 2&

    '- Synchronization Mode ----------------------------------------------------

    Public Const RSSIUP_SYNC_MODE_SYNC = 0&
    Public Const RSSIUP_SYNC_MODE_ASYNC = 1&

    '- Synchronization Source --------------------------------------------------

    Public Const RSSIUP_SYNC_SOURCE_SIN_GEN_A_RISE = 0&
    Public Const RSSIUP_SYNC_SOURCE_SIN_GEN_A_FALL = 1&
    Public Const RSSIUP_SYNC_SOURCE_SIN_GEN_B_RISE = 2&
    Public Const RSSIUP_SYNC_SOURCE_SIN_GEN_B_FALL = 3&
    Public Const RSSIUP_SYNC_SOURCE_SIGNAL_A_RISE = 4&
    Public Const RSSIUP_SYNC_SOURCE_SIGNAL_A_FALL = 5&
    Public Const RSSIUP_SYNC_SOURCE_SIGNAL_B_RISE = 6&
    Public Const RSSIUP_SYNC_SOURCE_SIGNAL_B_FALL = 7&
    Public Const RSSIUP_SYNC_SOURCE_ARB_GEN_A = 8&
    Public Const RSSIUP_SYNC_SOURCE_ARB_GEN_B = 9&
    Public Const RSSIUP_SYNC_SOURCE_BURST_SINE_GEN = 10&
    Public Const RSSIUP_SYNC_SOURCE_MULTISINE_GEN = 11&
    Public Const RSSIUP_SYNC_SOURCE_NO_SYNC = 12&
    Public Const RSSIUP_SYNC_SOURCE_EXT_SYNC = 13&

    '- Synchronization Level Mode ----------------------------------------------

    Public Const RSSIUP_SYNC_LEVEL_MODE_AUTO = 0&
    Public Const RSSIUP_SYNC_LEVEL_MODE_FIXED = 1&

    '- Reference Oscillator Source ---------------------------------------------

    Public Const RSSIUP_REF_OSCILLATOR_SOURCE_INT = 0&
    Public Const RSSIUP_REF_OSCILLATOR_SOURCE_EXT = 1&

    '- Ext Reference Frequency -------------------------------------------------

    Public Const RSSIUP_REF_OSCILLATOR_FREQ_2MHZ = 0&
    Public Const RSSIUP_REF_OSCILLATOR_FREQ_5MHZ = 1&
    Public Const RSSIUP_REF_OSCILLATOR_FREQ_10MHZ = 2&

    '- Frequency Mode ----------------------------------------------------------

    Public Const RSSIUP_FREQ_MODE_AUTO = 0&
    Public Const RSSIUP_FREQ_MODE_FIXED = 1&

    '- Frequency Mode RMS Selective --------------------------------------------

    Public Const RSSIUP_FREQ_MODE_RMS_FIXED_VALUE = 0&
    Public Const RSSIUP_FREQ_MODE_RMS_SIGNAL_CHA = 1&
    Public Const RSSIUP_FREQ_MODE_RMS_SIGNAL_CHB = 2&
    Public Const RSSIUP_FREQ_MODE_RMS_GEN_TRACK_CHA = 3&
    Public Const RSSIUP_FREQ_MODE_RMS_GEN_TRACK_CHB = 4&

    '- Measurement Bandwidth ---------------------------------------------------

    Public Const RSSIUP_RMS_BANDWIDTH_3HZ = 0&
    Public Const RSSIUP_RMS_BANDWIDTH_10HZ = 1&
    Public Const RSSIUP_RMS_BANDWIDTH_30HZ = 2&
    Public Const RSSIUP_RMS_BANDWIDTH_100HZ = 3&
    Public Const RSSIUP_RMS_BANDWIDTH_300HZ = 4&

    '- Filter Bandwidth -------------------------------------------------------

    Public Const RSSIUP_FILTER_BWIDTH_NARROW = 0&
    Public Const RSSIUP_FILTER_BWIDTH_WIDE = 1&

    '- Measurement Time Mode ---------------------------------------------------

    Public Const RSSIUP_MEAS_TIME_FAST = 0&
    Public Const RSSIUP_MEAS_TIME_NORMAL = 1&

    '- FFT Window Type ---------------------------------------------------------

    Public Const RSSIUP_FFT_WINDOW_RECTANGULAR = 0&
    Public Const RSSIUP_FFT_WINDOW_HAMMING = 1&
    Public Const RSSIUP_FFT_WINDOW_HANNING = 2&
    Public Const RSSIUP_FFT_WINDOW_BLACKMANN_HARRIS = 3&
    Public Const RSSIUP_FFT_WINDOW_RIFE_VINCENT_1 = 4&
    Public Const RSSIUP_FFT_WINDOW_RIFE_VINCENT_2 = 5&
    Public Const RSSIUP_FFT_WINDOW_RIFE_VINCENT_3 = 6&
    Public Const RSSIUP_FFT_WINDOW_FLAT_TOP = 7&
    Public Const RSSIUP_FFT_WINDOW_KAISER = 8&
    Public Const RSSIUP_FFT_WINDOW_KAISER_17 = 9&

    '- FFT Window Size ---------------------------------------------------------

    Public Const RSSIUP_FFT_SIZE_1024 = 0&
    Public Const RSSIUP_FFT_SIZE_2048 = 1&
    Public Const RSSIUP_FFT_SIZE_4096 = 2&
    Public Const RSSIUP_FFT_SIZE_8192 = 3&
    Public Const RSSIUP_FFT_SIZE_16384 = 4&

    '- Master Mode -------------------------------------------------------------

    Public Const RSSIUP_FREQ_MASTER_AUTO = 0&
    Public Const RSSIUP_FREQ_MASTER_CHA = 1&
    Public Const RSSIUP_FREQ_MASTER_CHB = 2&

    '- FFT Zoom Factor ---------------------------------------------------------

    Public Const RSSIUP_FFT_ZOOM_FACTOR_0 = 0&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_2 = 1&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_4 = 2&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_8 = 3&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_16 = 4&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_32 = 5&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_64 = 6&
    Public Const RSSIUP_FFT_ZOOM_FACTOR_128 = 7&

    '- Filter Section ----------------------------------------------------------

    Public Const RSSIUP_DIGI_FILTER_SECTION_1 = 0&
    Public Const RSSIUP_DIGI_FILTER_SECTION_2 = 1&
    Public Const RSSIUP_DIGI_FILTER_SECTION_3 = 2&

    '- Filter Type -------------------------------------------------------------

    Public Const RSSIUP_DIGI_FILTER_TYPE_NONE = 0&
    Public Const RSSIUP_DIGI_FILTER_TYPE_A_WEIGHT = 1&
    Public Const RSSIUP_DIGI_FILTER_TYPE_C_MESSAGE = 2&
    Public Const RSSIUP_DIGI_FILTER_TYPE_CCITT = 3&
    Public Const RSSIUP_DIGI_FILTER_TYPE_CCIR_WEIGHT = 4&
    Public Const RSSIUP_DIGI_FILTER_TYPE_CCIR_UNWEGHT = 5&
    Public Const RSSIUP_DIGI_FILTER_TYPE_CCIR_ARM = 6&
    Public Const RSSIUP_DIGI_FILTER_TYPE_DEEMPH_50P15 = 7&
    Public Const RSSIUP_DIGI_FILTER_TYPE_DEEMPH_50 = 8&
    Public Const RSSIUP_DIGI_FILTER_TYPE_DEEMPH_75 = 9&
    Public Const RSSIUP_DIGI_FILTER_TYPE_DEEMPH_J17 = 10&
    Public Const RSSIUP_DIGI_FILTER_TYPE_R_WEIGHTING = 11&
    Public Const RSSIUP_DIGI_FILTER_TYPE_R_UNWEIGHT = 12&
    Public Const RSSIUP_DIGI_FILTER_TYPE_DC_NOISE_HPF = 13&
    Public Const RSSIUP_DIGI_FILTER_TYPE_IEC_IEE = 14&
    Public Const RSSIUP_DIGI_FILTER_TYPE_JITTER_WEIGHT = 15&
    Public Const RSSIUP_DIGI_FILTER_TYPE_1P3_OCTAVE = 16&
    Public Const RSSIUP_DIGI_FILTER_TYPE_1P1_OCTAVE = 17&
    Public Const RSSIUP_DIGI_FILTER_TYPE_USER_1 = 18&
    Public Const RSSIUP_DIGI_FILTER_TYPE_USER_2 = 19&
    Public Const RSSIUP_DIGI_FILTER_TYPE_USER_3 = 20&
    Public Const RSSIUP_DIGI_FILTER_TYPE_BSELLIP = 21&

    '- User Filter Number ------------------------------------------------------

    Public Const RSSIUP_USER_FILTER_1 = 0&
    Public Const RSSIUP_USER_FILTER_2 = 1&
    Public Const RSSIUP_USER_FILTER_3 = 2&

    '- Digital Analyzer Input --------------------------------------------------

    Public Const RSSIUP_DAI_INPUT_BNC = 0&
    Public Const RSSIUP_DAI_INPUT_OPTO = 1&
    Public Const RSSIUP_DAI_INPUT_I2S = 2&

    '- DAI Protocol ------------------------------------------------------------

    Public Const RSSIUP_DAI_PROTOCOL_CH_STATUS = 0&
    Public Const RSSIUP_DAI_PROTOCOL_USER_DATA = 1&

    '- DAI Bits ----------------------------------------------------------------

    Public Const RSSIUP_DAI_BITS_16 = 0&
    Public Const RSSIUP_DAI_BITS_17 = 1&
    Public Const RSSIUP_DAI_BITS_18 = 2&
    Public Const RSSIUP_DAI_BITS_19 = 3&
    Public Const RSSIUP_DAI_BITS_20 = 4&
    Public Const RSSIUP_DAI_BITS_21 = 5&
    Public Const RSSIUP_DAI_BITS_22 = 6&
    Public Const RSSIUP_DAI_BITS_23 = 7&
    Public Const RSSIUP_DAI_BITS_24 = 8&

    '- DAI Validity Bit --------------------------------------------------------

    Public Const RSSIUP_INVALID = 0&
    Public Const RSSIUP_VALID = 1&

    '***************************************************************************
    '= GLOBAL USER-CALLABLE FUNCTION DECLARATIONS (Exportable Functions) =======
    '***************************************************************************

    Declare Function rssiup_init Lib "rssiup_32.dll" (ByVal resourceName As String, ByVal IDQuery As Integer, ByVal resetDevice As Integer, ByRef instrSession As Integer) As Integer
    Declare Function rssiup_SetAnalyzerDeviceSelector Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal device As Int32) As Integer
    Declare Function rssiup_GetAnalyzerDeviceSelector Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef device As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionState Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal functionID As Int32, ByVal functionState As Integer, ByVal digitalFilterState As Integer) As Integer
    Declare Function rssiup_GetAnalyzerFunctionState Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal functionID As Int32, ByRef functionState As Integer) As Integer
    Declare Function rssiup_SetMeasurementMode Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal measurementMode As Int32) As Integer
    Declare Function rssiup_GetMeasurementMode Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef measurementMode As Int32) As Integer
    Declare Function rssiup_StartMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer) As Integer
    Declare Function rssiup_AbortMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer) As Integer
    Declare Function rssiup_StartMeasurementWaitOPC Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal x_timeout As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionPeakSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal measurementTime As Double) As Integer
    Declare Function rssiup_GetAnalyzerFunctionPeakSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef measurementTime As Double) As Integer
    Declare Function rssiup_SetAnalyzerFunctionRMSDCSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal measurementTime As Double, ByVal x_timeout As Double, ByVal syncMode As Int32, ByVal syncSource As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionRMSDCSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef measurementTime As Double, ByRef x_timeout As Double, ByRef syncMode As Int32, ByRef syncSource As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionRMSDCAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal averagingModeDC As Int32, ByVal averagingFactorDC As Int32, ByVal averagingModeRMS As Int32, ByVal averagingFactorRMS As Int32, ByVal averagingModeFrequency As Int32, ByVal averagingFactorFrequency As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionRMSDCAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef averagingModeDC As Int32, ByRef averagingFactorDC As Int32, ByRef averagingModeRMS As Int32, ByRef averagingFactorRMS As Int32, ByRef averagingModeFrequency As Int32, ByRef averagingFactorFrequency As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionQpeakSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal intervalTime As Double) As Integer
    Declare Function rssiup_GetAnalyzerFunctionQpeakSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef intervalTime As Double) As Integer
    Declare Function rssiup_SetAnalyzerFunctionRMSSelectiveSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal measurementTime As Double, ByVal centerFrequency As Double, ByVal bandwidth As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionRMSSelectiveSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef measurementTime As Double, ByRef centerFrequency As Double, ByRef frequencyMode As Int32, ByRef bandwidth As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionRMSSelectiveAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal averagingMode As Int32, ByVal averagingFactor As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionRMSSelectiveAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef averagingMode As Int32, ByRef averagingFactor As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionTHDNSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal measurementTime As Int32, ByVal frequencyMode As Int32, ByVal fixedFrequencyChA As Double, ByVal fixedFrequencyChB As Double, ByVal frequencyLimitLo As Double, ByVal frequencyLimitHi As Double) As Integer
    Declare Function rssiup_GetAnalyzerFunctionTHDNSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef measurementTime As Int32, ByRef frequencyMode As Int32, ByRef fixedFrequencyChA As Double, ByRef fixedFrequencyChB As Double, ByRef frequencyLimitLo As Double, ByRef frequencyLimitHi As Double) As Integer
    Declare Function rssiup_SetAnalyzerFunctionTHDNFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal postFFT As Integer, ByVal postFFTSize As Int32, ByVal postFFTWindow As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionTHDNFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef postFFT As Integer, ByRef postFFTSize As Int32, ByRef postFFTWindow As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionPhaseSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal frequencyMode As Int32, ByVal fixedFrequency As Double, ByVal frequencyMaster As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionPhaseSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef frequencyMode As Int32, ByRef fixedFrequency As Double, ByRef frequencyMaster As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionDFDSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal frequencyMode As Int32, ByVal fixedFrequency1ChA As Double, ByVal fixedFrequency2ChA As Double, ByVal fixedFrequency1ChB As Double, ByVal fixedFrequency2ChB As Double) As Integer
    Declare Function rssiup_GetAnalyzerFunctionDFDSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef frequencyMode As Int32, ByRef fixedFrequency1ChA As Double, ByRef fixedFrequency2ChA As Double, ByRef fixedFrequency1ChB As Double, ByRef fixedFrequency2ChB As Double) As Integer
    Declare Function rssiup_SetAnalyzerFunctionDFDFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal postFFT As Integer, ByVal postFFTSize As Int32, ByVal postFFTWindow As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionDFDFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef postFFT As Integer, ByRef postFFTSize As Int32, ByRef postFFTWindow As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionModDistSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal frequencyMode As Int32, ByVal fixedFrequency1ChA As Double, ByVal fixedFrequency2ChA As Double, ByVal fixedFrequency1ChB As Double, ByVal fixedFrequency2ChB As Double) As Integer
    Declare Function rssiup_GetAnalyzerFunctionModDistSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef frequencyMode As Int32, ByRef fixedFrequency1ChA As Double, ByRef fixedFrequency2ChA As Double, ByRef fixedFrequency1ChB As Double, ByRef fixedFrequency2ChB As Double) As Integer
    Declare Function rssiup_SetAnalyzerFunctionModDistFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal postFFT As Integer, ByVal postFFTSize As Int32, ByVal postFFTWindow As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionDistFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef postFFT As Integer, ByRef postFFTSize As Int32, ByRef postFFTWindow As Int32) As Integer
    Declare Function rssiup_SetAnalyzerFunctionFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal FFTSize As Int32, ByVal FFTWindow As Int32, ByVal kaiserWindowBeta As Double) As Integer
    Declare Function rssiup_GetAnalyzerFunctionFFTSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef FFTSize As Int32, ByRef FFTWindow As Int32, ByRef kaiserWindowBeta As Double) As Integer
    Declare Function rssiup_SetAnalyzerFunctionFFTAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal averagingMode As Int32, ByVal averagingFactor As Int32) As Integer
    Declare Function rssiup_GetAnalyzerFunctionFFTAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef averagingMode As Int32, ByRef averagingFactor As Int32) As Integer
    Declare Function rssiup_SetAnalyzerDigitalFilter Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal filterSection As Int32, ByVal filterType As Int32, ByVal centerFrequency As Double) As Integer
    Declare Function rssiup_GetAnalyzerDigitalFilter Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal filterSection As Int32, ByRef filterType As Int32, ByRef centerFrequency As Double, ByRef filterDelay As Double, ByRef filterBiQuads As Int32, ByRef biQuadsCount As Int32) As Integer
    Declare Function rssiup_SetAnalogAnalyzerInput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal analyzerInput As Int32) As Integer
    Declare Function rssiup_GetAnalogAnalyzerInput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef analyzerInput As Int32) As Integer
    Declare Function rssiup_SetAnalogAnalyzerCoupling Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal coupling As Int32) As Integer
    Declare Function rssiup_GetAnalogAnalyzerCoupling Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef coupling As Int32) As Integer
    Declare Function rssiup_SetAnalogAnalyzerFloatGround Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal floatGround As Integer) As Integer
    Declare Function rssiup_GetAnalogAnalyzerFloatGround Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef floatGround As Integer) As Integer
    Declare Function rssiup_SetAnalogAnalyzerRangeDependency Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal rangeDependency As Int32) As Integer
    Declare Function rssiup_GetAnalogAnalyzerRangeDependency Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef rangeDependency As Int32) As Integer
    Declare Function rssiup_SetAnalogAnalyzerRangeValue Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal rangeMode As Int32, ByVal rangeValue As Double) As Integer
    Declare Function rssiup_GetAnalogAnalyzerRange Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef rangeMode As Int32, ByRef lowerLimit As Double, ByRef upperLimit As Double) As Integer
    Declare Function rssiup_AnalyzerPeakResponseData Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef peakMin As Double, ByRef peakMinUnit As Int32, ByRef peakMax As Double, ByRef peakMaxUnit As Int32) As Integer
    Declare Function rssiup_AnalyzerRMSDCMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef DC As Double, ByRef DCUnit As Int32, ByRef RMS As Double, ByRef RMSUnit As Int32, ByRef frequency As Double, ByRef frequencyUnit As Int32, ByRef dataStatus As Int32, ByRef asynchronousStatus As Int32) As Integer
    Declare Function rssiup_AnalyzerQpeakMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef QPeakMin As Double, ByRef QPeakMinUnit As Int32, ByRef QPeakMax As Double, ByRef QPeakMaxUnit As Int32, ByRef QPeakCurrent As Double, ByRef QPeakCurrentUnit As Int32) As Integer
    Declare Function rssiup_AnalyzerRMSSelectiveMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef RMSValue As Double, ByRef unit As Int32, ByRef dataStatus As Int32) As Integer
    Declare Function rssiup_AnalyzerTHDNMainMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef autoTuneLocked As Int32, ByRef frequency As Double, ByRef totalRMS As Double, ByRef noiseRMS As Double, ByRef totalRMSNonfund As Double, ByRef totalRMSTHD As Double, ByRef harmonicLines As Double, ByRef levelValuesUnit As Int32) As Integer
    Declare Function rssiup_AnalyzerTHDNPostFFTMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef FFTResponseHeader As Int32, ByRef spectralLines As Double) As Integer
    Declare Function rssiup_AnalyzerPhaseMainMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef autoTuneLocked As Int32, ByRef frequency As Double, ByRef phaseDifference As Double, ByRef frequencyMaster As Int32) As Integer
    Declare Function rssiup_AnalyzerDFDMainMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef autoTuneLocked As Int32, ByRef frequencies As Double, ByRef RMSValues As Double, ByRef levelValuesUnit As Int32) As Integer
    Declare Function rssiup_AnalyzerDFDPostFFTMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef FFTResponseHeader As Int32, ByRef spectralLines As Double) As Integer
    Declare Function rssiup_AnalyzerModDistMainMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef autoTuneLocked As Int32, ByRef frequencies As Double, ByRef RMSValues As Double, ByRef levelValuesUnit As Int32) As Integer
    Declare Function rssiup_AnalyzerModDistPostFFTMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef FFTResponseHeader As Int32, ByRef spectralLines As Double) As Integer
    Declare Function rssiup_AnalyzerFFTSpectrumMainMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef FFTResponseHeader As Int32, ByRef spectralLines As Double) As Integer
    Declare Function rssiup_SetDigitalAnalyzerSampleRateSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal measurementTime As Double) As Integer
    Declare Function rssiup_GetDigitalAnalyzerSampleRateSettings Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef measurementTime As Double) As Integer
    Declare Function rssiup_SetDigitalAnalyzerSampleRateAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal averagingMode As Int32, ByVal averagingFactor As Int32) As Integer
    Declare Function rssiup_GetDigitalAnalyzerSampleRateAveraging Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef averagingMode As Int32, ByRef averagingFactor As Int32) As Integer
    Declare Function rssiup_DigitalAnalyzerSampleRateMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef samplingFrequency As Double) As Integer
    Declare Function rssiup_SetDigitalAnalyzerProtocol Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal DAIProtocol As Int32, ByVal measurementTime As Double) As Integer
    Declare Function rssiup_GetDigitalAnalyzerProtocol Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef DAIProtocol As Int32, ByRef measurementTime As Double) As Integer
    Declare Function rssiup_DigitalAnalyzerProtocolMeasurement Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal chAData As String, ByVal chBData As String, ByRef receiverError As Int32) As Integer
    Declare Function rssiup_SetDigitalAnalyzerInput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal digitalInput As Int32) As Integer
    Declare Function rssiup_GetDigitalAnalyzerInput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef digitalInput As Int32) As Integer
    Declare Function rssiup_SetDigitalAnalyzerNoofBits Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal no_ofBits As Int32) As Integer
    Declare Function rssiup_GetDigitalAnalyzerNoofBits Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef no_ofBits As Int32) As Integer
    Declare Function rssiup_SetGeneratorDeviceSelector Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal device As Int32) As Integer
    Declare Function rssiup_GetGeneratorDeviceSelector Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef device As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionSineShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal frequency1 As Double, ByVal frequency1Unit As Int32, ByVal initialPhase1 As Double, ByVal initialPhase1Unit As Int32, ByVal frequency2 As Double, ByVal frequency2Unit As Int32, ByVal initialPhase2 As Double, ByVal initialPhase2Unit As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionSineShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef frequency1 As Double, ByRef frequency1Unit As Int32, ByRef initialPhase1 As Double, ByRef initialPhase1Unit As Int32, ByRef frequency2 As Double, ByRef frequency2Unit As Int32, ByRef initialPhase2 As Double, ByRef initialPhase2Unit As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionSineDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32, ByVal amplitude1 As Double, ByVal amplitude1Unit As Int32, ByVal amplitude2 As Double, ByVal amplitude2Unit As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionSineDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32, ByRef amplitude1 As Double, ByRef amplitude1Unit As Int32, ByRef amplitude2 As Double, ByRef amplitude2Unit As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionNoiseShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal PDF As Int32, ByVal gaussianFactor As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionNoiseShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef PDF As Int32, ByRef gaussianFactor As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionNoiseDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32, ByVal amplitude1 As Double, ByVal amplitude1Unit As Int32, ByVal amplitude2 As Double, ByVal amplitude2Unit As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionNoiseDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32, ByRef amplitude1 As Double, ByRef amplitude1Unit As Int32, ByRef amplitude2 As Double, ByRef amplitude2Unit As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionMultisineShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal no_ofHarmonic As Int32, ByRef frequencyMultiple As Int32, ByRef initialPhase As Double, ByRef relativeAmplitude As Double, ByVal AMFrequency As Double) As Integer
    Declare Function rssiup_GetGeneratorFunctionMultisineShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef no_ofHarmonic As Int32, ByRef frequencyMultiple As Int32, ByRef initialPhase As Double, ByRef relativeAmplitude As Double, ByRef AMFrequency As Double) As Integer
    Declare Function rssiup_SetGeneratorFunctionMultisineDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32, ByVal amplitude1 As Double, ByVal amplitude1Unit As Int32, ByVal amplitude2 As Double, ByVal amplitude2Unit As Int32, ByVal AMModulationDepth As Double) As Integer
    Declare Function rssiup_GetGeneratorFunctionMultisineDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32, ByRef amplitude1 As Double, ByRef amplitude1Unit As Int32, ByRef amplitude2 As Double, ByRef amplitude2Unit As Int32, ByRef AMModulationDepth As Double) As Integer
    Declare Function rssiup_SetGeneratorFunctionArbitrary Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal no_ofSamples As Int32, ByRef samplesArray As Double) As Integer
    Declare Function rssiup_GetGeneratorFunctionArbitrary Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef no_ofSamples As Int32, ByRef samplesArray As Double) As Integer
    Declare Function rssiup_SetGeneratorFunctionArbitraryDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32, ByVal amplitude1 As Double, ByVal amplitude1Unit As Int32, ByVal amplitude2 As Double, ByVal amplitude2Unit As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionArbitraryDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32, ByRef amplitude1 As Double, ByRef amplitude1Unit As Int32, ByRef amplitude2 As Double, ByRef amplitude2Unit As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionSineBurstShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal frequency As Double, ByVal frequencyUnit As Int32, ByVal burstOnDelay As Double, ByVal burstOnDelayUnit As Int32, ByVal burstOnTime As Double, ByVal burstOnTimeUnit As Int32, ByVal burstOffTime As Double, ByVal burstOffTimeUnit As Int32, ByVal signalType As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionSineBurstShape Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef frequency As Double, ByRef frequencyUnit As Int32, ByRef burstOnDelay As Double, ByRef burstOnDelayUnit As Int32, ByRef burstOnTime As Double, ByRef burstOnTimeUnit As Int32, ByRef burstOffTime As Double, ByRef burstOffTimeUnit As Int32, ByRef signalType As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionSineBurstDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32, ByVal amplitude1 As Double, ByVal amplitude1Unit As Int32, ByVal amplitude2 As Double, ByVal amplitude2Unit As Int32, ByVal lowLevelAmplitude As Double, ByVal lowLevelAmplitudeUnit As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionSineBurstDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32, ByRef amplitude1 As Double, ByRef amplitude1Unit As Int32, ByRef amplitude2 As Double, ByRef amplitude2Unit As Int32, ByRef lowLevelAmplitude As Double, ByRef lowLevelAmplitudeUnit As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionPolarityDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32, ByVal amplitude1 As Double, ByVal amplitude1Unit As Int32, ByVal amplitude2 As Double, ByVal amplitude2Unit As Int32) As Integer
    Declare Function rssiup_GetGeneratorFunctionPolarityDimension Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32, ByRef amplitude1 As Double, ByRef amplitude1Unit As Int32, ByRef amplitude2 As Double, ByRef amplitude2Unit As Int32) As Integer
    Declare Function rssiup_SetGeneratorGlobalDCOffset Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal DCOffset As Double, ByVal DCOffsetUnit As Int32) As Integer
    Declare Function rssiup_GetGeneratorGlobalDCOffset Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef DCOffset As Double, ByRef DCOffsetUnit As Int32) As Integer
    Declare Function rssiup_SetGeneratorFunctionState Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal functionID As Int32, ByVal functionState As Integer) As Integer
    Declare Function rssiup_GetGeneratorFunctionState Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal functionID As Int32, ByRef functionState As Integer) As Integer
    Declare Function rssiup_SetAnalogGeneratorOutput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal generatorOutput As Integer) As Integer
    Declare Function rssiup_GetAnalogGeneratorOutput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef generatorOutput As Integer) As Integer
    Declare Function rssiup_SetAnalogGeneratorFloatGround Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal floatGround As Integer) As Integer
    Declare Function rssiup_GetAnalogGeneratorFloatGround Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef floatGround As Integer) As Integer
    Declare Function rssiup_SetAnalogGeneratorRangeDependency Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal rangeDependency As Int32) As Integer
    Declare Function rssiup_GetAnalogGeneratorRangeDependency Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef rangeDependency As Int32) As Integer
    Declare Function rssiup_SetAnalogGeneratorRangeValue Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal rangeMode As Int32, ByVal rangeValue As Double, ByVal unit As Int32) As Integer
    Declare Function rssiup_GetAnalogGeneratorRange Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef rangeMode As Int32, ByRef lowerLimit As Double, ByRef upperLimit As Double) As Integer
    Declare Function rssiup_SetDigitalGeneratorProtocol Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channelStatus As String, ByVal userData As String, ByVal validityBit As Int32) As Integer
    Declare Function rssiup_GetDigitalGeneratorProtocol Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal channelStatus As String, ByVal userData As String, ByRef validityBit As Int32) As Integer
    Declare Function rssiup_SetDigitalGeneratorNoofBits Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal no_ofBits As Int32) As Integer
    Declare Function rssiup_GetDigitalGeneratorNoofBits Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef no_ofBits As Int32) As Integer
    Declare Function rssiup_SetDigitalGeneratorSamplingFrequencyOffset Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal samplingFrequencyOffset As Int32) As Integer
    Declare Function rssiup_GetDigitalGeneratorSamplingFrequencyOffset Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef samplingFrequencyOffset As Int32) As Integer
    Declare Function rssiup_SetAudioMonitorOutput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal monitorOutput As Integer) As Integer
    Declare Function rssiup_GetAudioMonitorOutput Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef monitorOutput As Integer) As Integer
    Declare Function rssiup_SetAudioMonitorSource Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal source As Int32) As Integer
    Declare Function rssiup_GetAudioMonitorSource Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef source As Int32) As Integer
    Declare Function rssiup_SetAudioMonitorAttenuation Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByVal attenuation As Double) As Integer
    Declare Function rssiup_GetAudioMonitorAttenuation Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal channel As Int32, ByRef attenuation As Double) As Integer
    Declare Function rssiup_configureRefOscillator Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal x_state As Integer, ByVal source As Int32, ByVal frequency As Int32) As Integer
    Declare Function rssiup_getRefOscillatorParameters Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef x_state As Integer, ByRef source As Int32, ByRef frequency As Int32) As Integer
    Declare Function rssiup_setTimeOut Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal x_timeout As Int32) As Integer
    Declare Function rssiup_getTimeOut Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef x_timeout As Int32) As Integer
    Declare Function rssiup_flushErrorQueue Lib "rssiup_32.dll" (ByVal instrSession As Integer) As Integer
    Declare Function rssiup_warningCheckState Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal warningChecking As Integer) As Integer
    Declare Function rssiup_errorCheckState Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal stateChecking As Integer) As Integer
    Declare Function rssiup_reset Lib "rssiup_32.dll" (ByVal instrSession As Integer) As Integer
    Declare Function rssiup_self_test Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef selfTestResult As Int16, ByVal selfTestMessage As String) As Integer
    Declare Function rssiup_error_query Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByRef errorCode As Int32, ByVal errorMessage As String) As Integer
    Declare Function rssiup_error_message Lib "rssiup_32.dll" (ByRef instrSession As Integer, ByVal statusCode As Integer, ByVal message As String) As Integer
    Declare Function rssiup_revision_query Lib "rssiup_32.dll" (ByVal instrSession As Integer, ByVal instrumentDriverRevision As String, ByVal firmwareRevision As String) As Integer
    Declare Function rssiup_close Lib "rssiup_32.dll" (ByVal instrSession As Integer) As Integer

    '***************************************************************************
    '=== END INCLUDE FILE ======================================================
    '***************************************************************************
End Module
